Bug 1472693 (CVE-2017-3641)

Summary: CVE-2017-3641 mysql: Server: DML unspecified vulnerability (CPU Jul 2017)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, chrisw, cvsbot-xmlrpc, databases-maint, dciabrin, hhorak, jjoyce, jorton, jschluet, jstanek, kbasil, lhh, lpeer, markmc, mbayer, mburns, mmuzila, mschorm, praiskup, rbryant, sclewis, slinaber, srevivo, tdecacqu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20170719,reported=20170719,source=internet,cvss3=4.9/CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H,rhel-5/mysql55-mysql=wontfix,rhel-6/mysql=wontfix,rhel-7/mariadb=affected,rhscl-2/rh-mysql56-mysql=affected,rhscl-2/rh-mysql57-mysql=affected,rhscl-3/rh-mariadb100-mariadb=affected,rhscl-3/rh-mariadb101-mariadb=affected,rhscl-3/rh-mariadb102-mariadb=notaffected,openstack-6/mariadb-galera=wontfix,openstack-7/mariadb-galera=wontfix,openstack-8/mariadb-galera=wontfix,openstack-9/mariadb-galera=wontfix,openstack-10/mariadb-galera=wontfix,openstack-11/mariadb-galera=wontfix,openstack-12/mariadb-galera=wontfix,fedora-all/community-mysql=affected,fedora-all/mariadb=notaffected
Fixed In Version: mysql 5.5.57, mysql 5.6.37, mysql 5.7.19, mariadb 5.5.57, mariadb 10.0.32, mariadb 10.1.26, mariadb 10.2.8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-20 12:42:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1472716, 1477979, 1477980, 1477996, 1477997, 1509982, 1509983, 1509984, 1509985, 1558256, 1584674    
Bug Blocks: 1472713    

Description Adam Mariš 2017-07-19 08:32:40 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: DML). Supported versions that are affected are 5.5.56 and earlier, 5.6.36 and earlier and 5.7.18 and earlier. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixMSQL

Comment 1 Adam Mariš 2017-07-19 08:51:42 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1472716]

Comment 4 errata-xmlrpc 2017-09-21 07:50:47 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2787 https://access.redhat.com/errata/RHSA-2017:2787

Comment 5 errata-xmlrpc 2017-10-12 08:05:24 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2886 https://access.redhat.com/errata/RHSA-2017:2886

Comment 8 errata-xmlrpc 2018-02-06 11:02:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0279 https://access.redhat.com/errata/RHSA-2018:0279

Comment 10 errata-xmlrpc 2018-03-21 14:05:51 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0574 https://access.redhat.com/errata/RHSA-2018:0574

Comment 11 errata-xmlrpc 2018-08-16 14:14:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2439 https://access.redhat.com/errata/RHSA-2018:2439